PHP Manual
Prev |  | Next

# ps_set_text_pos

(PECL)

ps_set_text_pos -- Sets position for text output

## Description

bool ps_set_text_pos ( resource psdoc, float x, float y )

Set the position for the next text output. You may alternatively set the x and y value separately by calling ps_set_value() and choosing textx respectively texty as the value name.

If you want to output text at a certain position it is more convenient to use ps_show_xy() instead of setting the text position and calling ps_show().

## Parameters

psdoc

  Resource identifier of the postscript file as returned by ps_new().

x

  x-coordinate of the new text position.

y

  y-coordinate of the new text position.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Placing text at a given position

`<?php
$ps = ps_new();
if (!ps_open_file($ps, "text.ps")) {
print "Cannot open PostScript file\n";
exit;
}
ps_set_info($ps, "Creator", "rectangle.php");
ps_set_info($ps, "Author", "Uwe Steinmann");
ps_set_info($ps, "Title", "Text placement example");
ps_begin_page($ps, 596, 842);
$psfont = ps_findfont($ps, "Helvetica", "", 0);
ps_setfont($ps, $psfont, 8.0);
ps_show_xy($ps, "Some text at (100, 100)", 100, 100);
ps_set_value($ps, "textx", 100);
ps_set_value($ps, "texty", 120);
ps_show($ps, "Some text at (100, 120)");
ps_end_page($ps);
ps_delete($ps);
?>`

## See Also

ps_set_value()
ps_show()

Prev | Home | Next
ps_set_parameter | Up | ps_set_value